petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSAdaptHistorySetTrajectory

Sets a time history in the adaptor from a given TSTrajectory

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptHistorySetTrajectory(TSAdapt adapt, TSTrajectory tj, PetscBool backward)

Logically Collective on TSAdapt

### Input Parameters

| adapt | - the TSAdapt context
| tj | - the TSTrajectory context
| backward | - if the time history has to be followed backward

Notes: The time history is internally copied, and the user can destroy the TSTrajectory if not needed. The user still needs to specify the termination of the solve via TSSetMaxSteps().

### See Also

TSGetAdapt(), TSAdaptSetType(), TSAdaptHistorySetHistory(), TSADAPTHISTORY

### Level

advanced

### Location

src/ts/adapt/impls/history/adapthist.c

### Examples

src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages